<?php 
  
  session_start();
  require "../conexion_bd.php";
  require "inventario_sqlite.php";

  $postBody = file_get_contents("php://input");
  $datos = json_decode($postBody, true);
  $clave = $datos['clave'];
  $clave = trim($clave);
  $posicion = $datos['posicion'];


  $query_clave = $conn->prepare("SELECT * FROM Articulos a INNER JOIN Claves_articulos b ON (a.articulo_id = b.articulo_id) WHERE b.clave_articulo = ? ");
  $query_clave ->bindParam(1,$clave);
  $query_clave ->execute();
  $resultado_clave = $query_clave->fetchAll(PDO::FETCH_ASSOC);

  if($query_clave->rowCount() > 0){

    $_SESSION['clave_articulo'] = $clave;
    $_SESSION['posicion'] = $posicion;
   
      if($resultado_clave[0]['ESTATUS'] != 'B'){

          if($resultado_clave[0]['ES_ALMACENABLE'] == 'S'){
            
            $nombre_articulo = $resultado_clave[0]['NOMBRE'];
            $numero_unidades = $resultado_clave[0]["UNIDAD_VENTA"];
            $_SESSION['articulo_id'] = $resultado_clave[0]["ARTICULO_ID"];

             $datos = array(
                 "nombre_articulo" => $nombre_articulo,
                 "unidad_venta" => $numero_unidades
             );
             echo json_encode($datos);
          }
      }else{
        echo json_encode("articulo_dado_baja");
      }
  }else{
      echo json_encode("articulo_no_existente");
  }

?>